#import "BranchEx.h"

//BranchExの実装
@implementation BranchEx

//初期化
- (id)initWithFrame:(CGRect)frame {
    if (self=[super initWithFrame:frame]) {
        self.backgroundColor=[UIColor whiteColor];
    }
    return self;
}

//描画
- (void)drawRect:(CGRect)rect {
    //変数の定義            
    int num;
    NSString* textIf    =@"";
    NSString* textSwitch=@"";

    //乱数の取得
    srand(time(0));
    num=abs(arc4random())%4;
            
    //ifによる占い
    if (num==0) {
        textIf=@"大吉";
    } else if (num==1) {
        textIf=@"中吉";
    } else if (num==2) {
        textIf=@"小吉";
    } else {
        textIf=@"凶";
    }

    //switchによる占い
    switch (num) {
        case 0:
            textSwitch=@"大吉";
            break;
        case 1:    
            textSwitch=@"中吉";
            break;
        case 2:    
            textSwitch=@"小吉";
            break;
        default:    
            textSwitch=@"凶";
            break;
    }

    //表示
    NSString* text0=[NSString stringWithFormat:
        @"ifによる占い結果:%@",textIf];
    NSString* text1=[NSString stringWithFormat:
        @"Switchによる占い結果:%@",textSwitch];
    [[UIColor blackColor] set];
    UIFont* font=[UIFont systemFontOfSize:24];
    [text0 drawAtPoint:CGPointMake(0, 0) withFont:font];
    [text1 drawAtPoint:CGPointMake(0,40) withFont:font];
}
@end
