#import <UIKit/UIKit.h>
#import "Enemy.h"
#import "Bullet.h"

//シーン定数(5)
#define S_PLAY     0 //プレイ
#define S_TIMEOVER 1 //タイムオーバー

//iPhone用定数(5)
#define SCREEN_SCALE 2.0f

//ShootingGame_iPadの宣言
@interface ShootingGame_iPad : UIViewController {
    //システム変数(5)
    int     _init;    //初期化
    int     _scene;   //シーン
    int     _score;   //スコア
    int     _time;    //タイム
    CGPoint _touchPos;//タッチ位置
    
    //キャラクター変数(5)
    CGPoint         _playerPos;//プレイヤー位置
    NSMutableArray* _bullets;  //弾郡
    NSMutableArray* _enemies;  //敵郡
    
    //UI変数(5)
    IBOutlet UIView*      _vBase;     //ベース
    IBOutlet UIView*      _vEnemyBase;//敵ベース
    IBOutlet UILabel*     _lblMessage;//メッセージ
    IBOutlet UILabel*     _lblScore;  //スコア
    IBOutlet UILabel*     _lblTime;   //時間
    IBOutlet UIImageView* _ivPlayer;  //プレイヤー
}
@end
