#import "AppDelegate_iPad.h"
#import "NavigationEx.h"

//AppDelegate_iPadの実装
@implementation AppDelegate_iPad

//プロパティの実装
@synthesize window=_window;

//起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {    
    //ビューコントローラの生成
    UIViewController* viewCtl=[[[NavigationEx alloc] init] autorelease];
    [viewCtl.view setFrame:CGRectMake(0,20,768,1004)];
  
    //ナビゲーションコントローラの生成(1)
    _navCtl=[[UINavigationController alloc] init];
    [_navCtl pushViewController:viewCtl animated:NO];
    [_window addSubview:_navCtl.view];
    [_window makeKeyAndVisible];
    return YES;
}

//メモリ解放
- (void)dealloc {
    [_navCtl release];
    [_window release];
    [super dealloc];
}
@end