#import "AppDelegate_iPhone.h"
#import "ShootingGame_iPhone.h"

//AppDelegate_iPhoneの実装
@implementation AppDelegate_iPhone

//プロパティの実装
@synthesize window=_window;

//起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {    
    //ビューコントローラの生成
    _viewCtl=[[ShootingGame_iPhone alloc] init];
    [_viewCtl.view setFrame:CGRectMake(0,0,320,480)];
    [_window addSubview:_viewCtl.view];
    
    //ウィンドウの生成
    [_window makeKeyAndVisible];
    return YES;
}

//メモリ解放
- (void)dealloc {
    [_viewCtl release];
    [_window release];
    [super dealloc];
}
@end
