#import <UIKit/UIKit.h>
#import "Enemy.h"
#import "Bullet.h"

//シーン定数(5)
#define S_PLAY     0
#define S_TIMEOVER 1

//iPhone用定数(5)
#define SCREEN_SCALE 1.0f

//ShootingGame_iPhoneの宣言
@interface ShootingGame_iPhone : UIViewController {
    //システム変数(5)
    int     _init;    //初期化
    int     _scene;   //シーン
    int     _score;   //スコア
    int     _time;    //タイム
    CGPoint _touchPos;//タッチ位置
    
    //キャラクター変数(5)
    CGPoint         _playerPos;//プレイヤー位置
    NSMutableArray* _bullets;  //弾郡
    NSMutableArray* _enemies;  //敵郡
    
    //UI変数(5)
    IBOutlet UIView*      _vBase;
    IBOutlet UIView*      _vEnemyBase;
    IBOutlet UILabel*     _lblMessage;
    IBOutlet UILabel*     _lblScore;
    IBOutlet UILabel*     _lblTime;
    IBOutlet UIImageView* _ivPlayer;
}
@end
