#import <UIKit/UIKit.h>
#import "SA_OAuthTwitterController.h"
#import "Status.h"

@class SA_OAuthTwitterEngine;

//TwitterClientの宣言
@interface TwitterClient : UIViewController <
    SA_OAuthTwitterControllerDelegate,
    UITableViewDelegate,UITableViewDataSource,
    UITextFieldDelegate> {
    //UI
    IBOutlet UITableView* _tableView;
    UITextField*          _tfComment;
    BOOL                  _portrait;

    //変数
	SA_OAuthTwitterEngine* _engine;
    BOOL                   _setup;
    NSMutableData*         _data;
    NSMutableArray*        _items;
    int                    _itemsIdx;
}

//メソッドの宣言
- (IBAction)action:(UIBarButtonItem*)sender;
- (void)login;
@end
