#import "AppDelegate_iPhone.h"
#import "TwitterClient.h"

//AppDelegate_iPhoneの実装
@implementation AppDelegate_iPhone

//プロパティの実装
@synthesize window=_window;

//起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {
    //ビューコントローラの生成
    UIViewController* viewCtl=[[[TwitterClient alloc] init] autorelease];
    [viewCtl.view setFrame:CGRectMake(0,20,320,460)];
  
    //ナビゲーションコントローラの生成
    _navCtl=[[UINavigationController alloc] init];
    [_navCtl pushViewController:viewCtl animated:NO];
    [_window addSubview:_navCtl.view];
    [_window makeKeyAndVisible];
    return YES;
}

//メモリ解放
- (void)dealloc {
    [_navCtl release];
    [_window release];
    [super dealloc];
}
@end
